$.fn.dataTableExt.oApi.fnReloadAjax = function(oSettings, sNewSource) {
  oSettings.sAjaxSource = sNewSource;
  this.oApi._fnProcessingDisplay(oSettings, true );

  var that = this;
  var page = oSettings._iDisplayStart;

  $.getJSON(oSettings.sAjaxSource, null, function(json){
    that.fnClearTable(that);
    
    /* Got the data - add it to the table */
    for (var i=0; i<json.aaData.length; i++) {
      that.oApi._fnAddData(oSettings, json.aaData[i]);
    }

    oSettings.aiDisplay = oSettings.aiDisplayMaster.slice();
    that.fnDraw(that);
    that.oApi._fnProcessingDisplay(oSettings, false);
    oSettings._iDisplayStart = page;
    oSettings.oApi._fnCalculateEnd( oSettings );
    oSettings.oApi._fnDraw( oSettings );
  });
}

var oTable = $('#reptable').dataTable( {
  "bProcessing": true,
  "sAjaxSource": 'addon_cryptophoto.cgi?cmd=users_list',
  "sPaginationType": "full_numbers",
  "aaSorting": [[ 0, "asc" ]],
  "bAutoWidth": false,
  "bDeferRender": true,
  "bSortClasses": false,
  "aoColumns": [
    null,
    null,
    { "bSortable": false, "sClass": "nowrap" }
  ],
  "oLanguage": {
    "sProcessing": "<img src='cryptophoto/images/ajax-loader-bar.gif' border='0'/>",
    "sLengthMenu": "Display _MENU_ users per page",
    "sZeroRecords": "No users found",
    "sInfo": "<span class='reload' onclick='fnReloadData();return false;' title='Reload Data'>Reload</span>Showing _START_ to _END_ of _TOTAL_ users",
    "sInfoEmpty": "<span class='reload' onclick='fnReloadData();return false;' title='Reload Data'>Reload</span>Showing 0 to 0 of 0 users",
    "sInfoFiltered": "(filtered from _MAX_ total users)",
    "sSearch": "Search"
  }
});

function fnUserSwitch(elem, userid)
{
  oTable.oApi._fnProcessingDisplay(oTable.fnSettings(), true);
  $.ajax({
    url: "addon_cryptophoto.cgi?cmd=user_switch&id="+userid,
    success: function(data){
      oTable.oApi._fnProcessingDisplay(oTable.fnSettings(), false);
      fnReloadData();
    }
  });
  return false;
}

function fnReloadData() {
  oTable.fnReloadAjax("addon_cryptophoto.cgi?cmd=users_list");
}
